<%-- 
    Document   : WSTopology
    Created on : Apr 30, 2010, 7:07:20 PM
    Author     : Martin Gábor
--%>

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!-- Custom topology styles -->
        <link href="<s:url value="/styles/topologycustom.css"/>" rel="stylesheet" type="text/css"/>

        <!-- BASIC JAVASCRIPT FUNCTIONS -->
        <script src="<s:url value="/ground/javascript/basic.js" />" type="text/javascript">
        </script>
        <!-- -->

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Topology</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Topology Monitor</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <%-- block of dates --%>
                <s:div id="topol_dates" >
                    <strong>Dates: </strong>
                    <ul>
                        <s:if test="topologyRecords.size > 0">
                            <s:iterator value="topologyRecords">
                                <s:url id="paramTopology" action="WS_Topology">
                                    <s:param name="paramDate"><s:property value="id"/></s:param>
                                </s:url>

                                <li>
                                    <s:if test="id != paramDate">
                                        <s:a href="%{paramTopology}">
                                            <s:date name="date" />
                                        </s:a>
                                    </s:if>
                                    <s:else>
                                        <span class="topol_clicked"><s:date name="date" /></span>
                                    </s:else>
                                </li>
                            </s:iterator>
                        </s:if>
                    </ul>
                </s:div>

                <%-- Show the topology image--%>
                <strong>Topology Graph:</strong>
                <s:div cssClass="topol_imagecenter">
                    <img src="<s:url value="%{imageSource}" />" alt="Image of Topology" />
                </s:div>

                <%-- Sending new discovery --%>
                <br />
                <h3>Sending new Discovery Request</h3>

                <%-- Form to send new discover query--%>
                <s:form action="WS_RequestTopology">
                    <s:textfield key="request" value="%{DEF_REQUEST}" label="Request Plan"/>
                    <s:submit value="Request"/>
                </s:form>
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>

