<%-- 
    Document   : WSTracingAgents
    Created on : Feb 17, 2011, 1:18:00 PM
    Author     : Marek Houšť
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Tracing Agents</title>
        <!-- Overrides table_style1 from global.css -->
        <style type="text/css">
            .table_style1 {max-height: 500px}
            #left {min-height: 750px}
        </style>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />
            
            <!-- The core of every page -->
            <s:div id="main">
                <h2>Tracing Agents</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <%-- New tracing agents request --%>
                <strong>Tracing Agents Request:</strong>
                <br />
                <br />

                <%-- Form to send new tracing agents query --%>
                <s:form action="WS_RequestTracingAgents">
                    <s:textfield required="true" key="addressMoteToRequest" label="Mote address"></s:textfield>
                    <s:textfield required="true" key="agentIdToRequest" label="Agent Id"></s:textfield>
                    <s:textfield required="true" key="agentClassToRequest" label="Agent Class"></s:textfield>
                    <s:submit value="Request"/>
                </s:form>
                <br />

                <%-- If there are any logs, table is displayed instead of description. --%>
                <s:if test="tracingAgentList.size > 0">

                    <strong>Number of collected LOG messages: </strong> <s:property value="numberLogMessage" />
                    <br />
                    <strong>Number of collected SIGNAL messages: </strong> <s:property value="numberSignalMessage" />
                    <br />

                    <strong>Tracing Agents List: </strong>
                    <br />
                    <%-- Table with categorized agents --%>
                    <table class="table_style1">
                        <s:iterator value="tracingAgentList">
                            <tr>
                                <td>
                                    <b>Agent class:</b>
                                </td>
                                <td>
                                    <s:property value="agentClass" />
                                </td>
                                <td>
                                    <b>Agent id:</b>
                                </td>
                                <td>
                                    <s:property value="agentId" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <i>Address of visited motes:</i>
                                </td>
                                <td>
                                    <s:iterator value="motesAddressWhereWas">
                                        <s:property/>, 
                                    </s:iterator>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <i>Last sending to the WSN:</i>
                                </td>
                                <td>
                                    <s:if test="dateSend != null">
                                        <s:date name="dateSend" format="dd/MM/yyyy hh:mm a" />
                                    </s:if>
                                    <s:else>
                                        Record is not in the database.
                                    </s:else>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <i>Display received traces:</i>
                                </td>
                                <td>
                                    <s:if test="drawOk == true">
                                        <s:url id="drawTraces" action="WS_DTraces">
                                            <s:param name="agentClass"><s:property value="agentClass"/></s:param>
                                            <s:param name="agentId"><s:property value="agentId"/></s:param>
                                        </s:url>
                                        <s:a href="%{drawTraces}" onclick="return confirmation()">
                                            <img src="<s:url value="/ground/images/icons/edit.jpg" />" alt="Display received traces"/>
                                        </s:a>
                                    </s:if>
                                    <s:else>
                                        Error! Traces can not be display.
                                    </s:else>
                                </td>
                            </tr>
                        </s:iterator>
                    </table>
                </s:if>
                <s:else>
                    <br />
                    <br />
                    <%-- Description of how collect agents --%>
                    <strong>Description: </strong>
                    <br />
                    <br />
                    This is the application for detection agents in the WSN.<br />
                    Detection procedure:<br />
                    <ol>
                        <li>Enter mote address (must be available), agent class (must be unique) and agent id</li>
                        <li>Click on the request</li>
                        <li>Wait for receive all records (wait for this icon <img src="<s:url value="/ground/images/icons/log_new.jpg" />" alt="log icon"/> on the active panel)</li>
                        <li>After receiving all records click on the icon</li>
                    </ol>
                </s:else>
                
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
