// -----------------------------------------------------------
// MessageConstructor.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.client;

import cz.vutbr.wsagent.entity.Agent;

/**
 * This class provides constructing messages according to protocol
 * of communication.
 *
 * @author Martin Gábor
 */
public class MessageConstructor implements InternalCommProtocol{


    /**
     * This method creates new agent message according to protocol.
     *
     * @param address Address of mote.
     * @param agent Object defining properties of agent message.
     * @return Returns created message.
     */
    public String constructAgentMessage(int address, Agent agent){

        // creating..
        String message = TYPE_AGENT+DIVIDER+address+DIVIDER+
                agent.getPlanBase()+DIVIDER+
                agent.getPlan()+DIVIDER+
                agent.getBeliefBase()+DIVIDER+
                agent.getInputBase()+DIVIDER+
		agent.getAgentId()+DIVIDER+
		agent.getClassId();

        return message;
    }



    /**
     * This method creates new agent message according to protocol.
     *
     * @param address Address of mote.
     * @param message Message to send to mote.
     * @return Returns created message.
     */
    public String constructSimpleMessage(int address, String message){

        String inputMessage = TYPE_MESSAGE+DIVIDER+address+DIVIDER+message;
        
        return inputMessage;
    }

    public String contructRefreshMessage(int address) {

        String refreshMessage = TYPE_REFRESH+DIVIDER+address;

        return refreshMessage;
    }
}
