// -----------------------------------------------------------
// WSAddEditMote.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import cz.vutbr.wsagent.entity.Mote;

/**
 * The action class for adding and editing instances of mote.
 * @author Martin Gábor
 */
public class WSAddEditMote extends ControlPanelAction {

    private Mote moteBean;
    private String moteAddress;

    /**
     * Execute method.
     */
    @Override
    public String execute() {


        if (moteAddress != null) {
            Mote mote = null;
            try {
                // get existing mote from database
                mote = DAOFactory.getDAOFactory().getMoteDAO().read(getMoteAddress());

            } catch (DatabaseErrorException ex) {

                // if no mote with given address exists
                //set it's mote address to null.
                setMoteAddress(null);
            }

            // set it to the session
            if (mote != null) {
                setMoteBean(mote);
            }
        } else
            setMoteAddress(null);

        return SUCCESS;

    }

    /**
     * Get the value of moteBean
     *
     * @return the value of moteBean
     */
    public Mote getMoteBean() {
        return moteBean;
    }

    /**
     * Set the value of moteBean
     *
     * @param moteBean new value of moteBean
     */
    public void setMoteBean(Mote moteBean) {
        this.moteBean = moteBean;
    }

    /**
     * Get the value of moteAddress
     *
     * @return the value of moteAddress
     */
    public String getMoteAddress() {
        return moteAddress;
    }

    /**
     * Set the value of moteAddress
     *
     * @param moteAddress new value of moteAddress
     */
    public void setMoteAddress(String moteAddress) {
        this.moteAddress = moteAddress;
    }
}
