// -----------------------------------------------------------
// WSAgentFormFill.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import cz.vutbr.wsagent.entity.Agent;

/**
 * The action class for filling agent forms.
 * @author Martin Gábor
 */
public class WSAgentFormFill extends ControlPanelAction {

    private int agentId;
    private Agent agentBean;


    @Override
    public String execute() {

        if(agentId > 0)
            try {
                setAgentBean(DAOFactory.getDAOFactory().getAgentDAO().read(agentId));
            } catch (DatabaseErrorException ex) {
            }

        return SUCCESS;
    }

    /**
     * Get the value of agentBean
     *
     * @return the value of agentBean
     */
    public Agent getAgentBean() {
        return agentBean;
    }

    /**
     * Set the value of agentBean
     *
     * @param agentBean new value of agentBean
     */
    public void setAgentBean(Agent agentBean) {
        this.agentBean = agentBean;
    }

    /**
     * Get the value of agentId
     *
     * @return the value of agentId
     */
    public int getAgentId() {
        return agentId;
    }

    /**
     * Set the value of agentId
     *
     * @param agentId new value of agentId
     */
    public void setAgentId(int agentId) {
        this.agentId = agentId;
    }

}
