// -----------------------------------------------------------
// WSDeleteAgent.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import cz.vutbr.wsagent.entity.Agent;

/**
 * The class method for deleting agents.
 * @author Martin Gábor
 */
public class WSDeleteAgent extends ControlPanelAction {

    private long agentId;

    /**
     * Execute method.
     */
    @Override
    public String execute() {

        Agent agent = null;
        try {
            agent = DAOFactory.getDAOFactory().getAgentDAO().read(agentId);
        } catch (DatabaseErrorException ex) {
            setResponseMessage(getText("Db.Error.message"));
            return INPUT;
        }

        if(agent == null){
            setResponseMessage(getText("Db.Error.message"));
            return INPUT;
        }

        // delete agent from DB
        DAOFactory.getDAOFactory().getAgentDAO().delete(agent);

        return SUCCESS;
    }

    /**
     * Get the value of agentId
     *
     * @return the value of agentId
     */
    public long getAgentId() {
        return agentId;
    }

    /**
     * Set the value of agentId
     *
     * @param agentId new value of agentId
     */
    public void setAgentId(long agentId) {
        this.agentId = agentId;
    }
}
