// -----------------------------------------------------------
// WSDeleteMessage.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import cz.vutbr.wsagent.entity.Message;

/**
 * The action class for deleting message.
 * @author Martin Gábor
 */
public class WSDeleteMessage extends ControlPanelAction{

    private String moteAddress;
    private long messageId;
    protected String from;


    /**
     * Execute method.
     */
    @Override
    public String execute() {
        
        Message message = null;
        try {
            message = DAOFactory.getDAOFactory().getMessageDAO().read(messageId);
        } catch (DatabaseErrorException ex) {
            setResponseMessage(getText("Db.Error.message"));
            return INPUT;
        }

        if(message == null){
            setResponseMessage(getText("Db.Error.message"));
            return INPUT;
        }

        // delete mote from DB
        DAOFactory.getDAOFactory().getMessageDAO().delete(message);

        if(from != null)
            return from;

        return SUCCESS;
    }

        /**
     * Get the value of moteAddress
     *
     * @return the value of moteAddress
     */
    public String getMoteAddress() {
        return moteAddress;
    }

    /**
     * Set the value of moteAddress
     *
     * @param moteAddress new value of moteAddress
     */
    public void setMoteAddress(String moteAddress) {
        this.moteAddress = moteAddress;
    }

    /**
     * Get the value of messageId
     *
     * @return the value of messageId
     */
    public long getMessageId() {
        return messageId;
    }

    /**
     * Set the value of messageId
     *
     * @param messageId new value of messageId
     */
    public void setMessageId(long messageId) {
        this.messageId = messageId;
    }

    /**
     * Get the value of from
     *
     * @return the value of from
     */
    public String getFrom() {
        return from;
    }

    /**
     * Set the value of from
     *
     * @param from new value of from
     */
    public void setFrom(String from) {
        this.from = from;
    }
}
