// -----------------------------------------------------------
// WSDeleteMote.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import cz.vutbr.wsagent.entity.Message;
import cz.vutbr.wsagent.entity.Mote;
import java.util.Iterator;
import java.util.List;

/**
 * The action class for deleting mote.
 * @author Martin Gábor
 */
public class WSDeleteMote extends ControlPanelAction{

    private String moteAddress;

    /**
     * Execute method.
     */
    @Override
    public String execute() {
        try {
            // get concrete mote
            Mote mote = DAOFactory.getDAOFactory().getMoteDAO().read(getMoteAddress());

            // delete his messages
            List messages = DAOFactory.getDAOFactory().getMessageDAO().readAllForMote(mote);
            
            for ( Iterator<Message> message = messages.iterator(); message.hasNext(); ) {
                Message mess = (message.next());
                if (mess != null)
                    DAOFactory.getDAOFactory().getMessageDAO().delete(mess);
            }

            if (mote == null){
                setResponseMessage(getText("Db.Error.message"));
                return INPUT;
            }
            // delete mote from DB
            DAOFactory.getDAOFactory().getMoteDAO().delete(mote);
        } catch (DatabaseErrorException ex) {
            setResponseMessage(getText("Db.Error.message"));
            return INPUT;
        }

        return SUCCESS;
    }

        /**
     * Get the value of moteAddress
     *
     * @return the value of moteAddress
     */
    public String getMoteAddress() {
        return moteAddress;
    }

    /**
     * Set the value of moteAddress
     *
     * @param address new value of moteAddress
     */
    public void setMoteAddress(String address) {
        this.moteAddress = address;
    }

}
