// -----------------------------------------------------------
// WSMotesList.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import java.util.List;

/**
 * The action class for presenting the motes list.
 * @author Martin Gábor
 */
public class WSMotesList extends ControlPanelAction {

    private List motes;

    /**
     * Execute method.
     */
    @Override
    public String execute() {

        try {
            List moteList = DAOFactory.getDAOFactory().getMoteDAO().readAll();
            setMotes(moteList);
        } catch (DatabaseErrorException ex) {
            setResponseMessage(getText("Db.Error.message"));
        }

        return SUCCESS;
    }


    /**
     * Get the value of moteList
     *
     * @return the value of moteList
     */
    public List getMotes() {
        return motes;
    }

    /**
     * Set the value of moteList
     *
     * @param moteList new value of moteList
     */
    public void setMotes(List moteList) {
        this.motes = moteList;
    }
}
