// -----------------------------------------------------------
// WSSavedAgents.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.db.hibernate.DatabaseErrorException;
import java.util.ArrayList;
import java.util.List;

/**
 * The action class for saving agents.
 * @author Martin Gábor.
 */
public class WSSavedAgents extends ControlPanelAction {

    private List agents;


    /**
     * Execute method.
     */
    @Override
    public String execute() {

        initAgentList();
        try {
            List agentList = DAOFactory.getDAOFactory().getAgentDAO().readAll();
            setAgents(agentList);
        } catch (DatabaseErrorException ex) {
            setResponseMessage(getText("Db.Error.message"));
        }
        return SUCCESS;
    }


    private void initAgentList() {
        if (agents == null) {
            agents = new ArrayList();
        }
    }

    /**
     * Get the value of agents
     *
     * @return the value of agents
     */
    public List getAgents() {
        return agents;
    }

    /**
     * Set the value of agents
     *
     * @param agents new value of agents
     */
    public void setAgents(List agents) {
        this.agents = agents;
    }

}
