// -----------------------------------------------------------
// SettingSave.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel.system;

import cz.vutbr.wsagent.controlpanel.*;
import cz.vutbr.wsagent.entity.Setting;
import cz.vutbr.wsagent.db.hibernate.DAOFactory;

/**
 * The action class for saving current setting.
 * @author Martin Gábor
 */
public class SettingSave extends ControlPanelAction{

    private Setting settingBean;


    @Override
    public String execute(){

        setResponseMessage(getText("Db.Success.message"));

        Setting setting = DAOFactory.getDAOFactory().getSettingDAO().read();

        setting.setPort(settingBean.getPort());
        setting.setTimePeriodActiveMotes(settingBean.getTimePeriodActiveMotes());
        setting.setTimePeriodNewMessages(settingBean.getTimePeriodNewMessages());
        setting.setTopologyImgPath(settingBean.getTopologyImgPath());

        // save to the Database
        DAOFactory.getDAOFactory().getSettingDAO().save(setting);
        
        return SUCCESS;
    }


    /**
     * Get the value of settingBean
     *
     * @return the value of settingBean
     */
    public Setting getSettingBean() {
        return settingBean;
    }

    /**
     * Set the value of settingBean
     *
     * @param settingBean new value of settingBean
     */
    public void setSettingBean(Setting settingBean) {
        this.settingBean = settingBean;
    }

}
