// -----------------------------------------------------------
// Settings.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel.system;

import cz.vutbr.wsagent.controlpanel.*;
import cz.vutbr.wsagent.entity.Setting;
import cz.vutbr.wsagent.db.hibernate.DAOFactory;

/**
 * The action class for showing current settings.
 * @author Martin Gábor
 */
public class Settings extends ControlPanelAction {

    private Setting settingBean;


    @Override
    public String execute() {

        // read Setting
        Setting setting = DAOFactory.getDAOFactory().getSettingDAO().read();

        setSettingBean(setting);
        return SUCCESS;
    }

    /**
     * Get the value of settingBean
     *
     * @return the value of settingBean
     */
    public Setting getSettingBean() {
        return settingBean;
    }

    /**
     * Set the value of settingBean
     *
     * @param settingBean new value of settingBean
     */
    public void setSettingBean(Setting settingBean) {
        this.settingBean = settingBean;
    }
}
