// -----------------------------------------------------------
// ISettingDAO.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.entity;


/**
 * The setting DAO interface.
 * @author Martin Gábor
 */
public interface ISettingDAO {

    /**
     * This method is used for storing current settings to database.
     *
     * @param setting Setting.
     * @see Setting
     */
    void save(Setting setting);

    /**
     * This method is used to get settings from database.
     *
     * @return Returns the current setting.
     * @see Setting
     */
    Setting read();
}
