// -----------------------------------------------------------
// GeometryObject.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;


/**
 * The class describing some type of geometry. Mostly should be extended.
 * @author Martin Gábor
 */
public class GeometryObject {

    public static final String POINTNAME = "point";
    public static final String LINENAME = "line";
    public static final String POLYGONNAME = "polygon";

    public static final String TRACELINE = "trace line";
    public static final String TRACEPOINT = "trace point";
    public static final String AGENTPOINT = "agent point";
    
    // for resolution coordinates in the constructor of the object
    public static final String TRACELINELARGERSMALER = "trace line larger smaler";
    public static final String TRACELINESMALERLARGER = "trace line smaler larger";
    public static final String AGENTPOINTLARGERSMALER = "agent point larger smaler";
    public static final String AGENTPOINTSMALERLARGER = "agent point smaler larger";

    protected String name;

    /**
     * Get the value of name
     *
     * @return the value of name
     */
    public String getName() {
        return name;
    }

    /**
     * Set the value of name
     *
     * @param name new value of name
     */
    public void setName(String name) {
        this.name = name;
    }

}
