// -----------------------------------------------------------
// LineObject.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;


/**
 * The class describing simple line.
 * @author Martin Gábor.
 */
public class LineObject extends GeometryObject {

    private int x1;
    private int y1;
    private int x2;
    private int y2;
    protected int strength;


    /**
     * The constructor of line object.
     * @param x1 X-coordinate of start point.
     * @param y1 Y-coordinate of start point.
     * @param x2 X-coordinate of end point.
     * @param y2 Y-coordinate of end point.
     * @param strength The strength of line. Just for this architecture. It does not have to be
     * used.
     */
    public LineObject(int x1, int y1, int x2, int y2, int strength){

        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
        this.strength = strength;
        this.name = "line";
    }
    /**
     * Get the value of y2
     *
     * @return the value of y2
     */
    public int getY2() {
        return y2;
    }

    /**
     * Set the value of y2
     *
     * @param y2 new value of y2
     */
    public void setY2(int y2) {
        this.y2 = y2;
    }


    /**
     * Get the value of x2
     *
     * @return the value of x2
     */
    public int getX2() {
        return x2;
    }

    /**
     * Set the value of x2
     *
     * @param x2 new value of x2
     */
    public void setX2(int x2) {
        this.x2 = x2;
    }


    /**
     * Get the value of y1
     *
     * @return the value of y1
     */
    public int getY1() {
        return y1;
    }

    /**
     * Set the value of y1
     *
     * @param y1 new value of y1
     */
    public void setY1(int y1) {
        this.y1 = y1;
    }


    /**
     * Get the value of x1
     *
     * @return the value of x1
     */
    public int getX1() {
        return x1;
    }

    /**
     * Set the value of x1
     *
     * @param x1 new value of x1
     */
    public void setX1(int x1) {
        this.x1 = x1;
    }

    /**
     * Get the value of strength
     *
     * @return the value of strength
     */
    public int getStrength() {
        return strength;
    }

    /**
     * Set the value of strength
     *
     * @param strength new value of strength
     */
    public void setStrength(int strength) {
        this.strength = strength;
    }


}
