// -----------------------------------------------------------
// PolygonObject.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;

import java.util.ArrayList;
import java.util.List;

/**
 * The class describing polygon.
 * @author Martin Gábor.
 */
public class PolygonObject extends GeometryObject{

    protected List<PointObject> points;


  /**
   * The constructor for creating new instance of polygon object.
   */
    public PolygonObject(){
        this.name = GeometryObject.POLYGONNAME;

        this.points = new ArrayList<PointObject>();
    }
    
  /**
   * The constructor for creating new instance of polygon object.
   * @param points Points of polygon object.
   */
    public PolygonObject(List<PointObject> points){
        this.name = GeometryObject.POLYGONNAME;

        this.points = points;
    }

    /**
     * This is for adding new point to the list of polygon points.
     */
    public void add(PointObject object){
        points.add(object);
    }
    /**
     * Get the value of points
     *
     * @return the value of points
     */
    public List<PointObject> getPoints() {
        return points;
    }

    /**
     * Set the value of points
     *
     * @param points new value of points
     */
    public void setPoints(List points) {
        this.points = points;
    }


    /**
     * Returns the middle point of polygon.
     * @return Returns the centre of polygon.
     */
    public PointObject getMiddlePoint(){


        int size = points.size();
        int x = 0;
        int y = 0;

        for(int i = 0; i < size; i++){

            PointObject point = (PointObject) points.get(i);
            x += point.getX();
            y += point.getY();
        }

        x = x / size;
        y = y / size;

        PointObject middlePoint = new PointObject(x,y,"");

        return middlePoint;
    }

}
