// -----------------------------------------------------------
// RectangleObject.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;


/**
 * The class describing simple rectangle.
 * @author Martin Gábor.
 */
public class RectangleObject extends GeometryObject{

    private int x1;
    private int y1;
    private int x2;
    private int y2;

    /**
     * The constructor of rectangle object.
     * @param x1 X-coordinate of start point.
     * @param y1 Y-coordinate of start point.
     * @param x2 X-coordinate of end point.
     * @param y2 Y-coordinate of end point.
     */
    public RectangleObject(int x1, int y1, int x2, int y2){

        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
        this.name = "quadrangle";
    }
    /**
     * Get the value of y2
     *
     * @return the value of y2
     */
    public int getY2() {
        return y2;
    }

    /**
     * Set the value of y2
     *
     * @param y2 new value of y2
     */
    public void setY2(int y2) {
        this.y2 = y2;
    }


    /**
     * Get the value of x2
     *
     * @return the value of x2
     */
    public int getX2() {
        return x2;
    }

    /**
     * Set the value of x2
     *
     * @param x2 new value of x2
     */
    public void setX2(int x2) {
        this.x2 = x2;
    }


    /**
     * Get the value of y1
     *
     * @return the value of y1
     */
    public int getY1() {
        return y1;
    }

    /**
     * Set the value of y1
     *
     * @param y1 new value of y1
     */
    public void setY1(int y1) {
        this.y1 = y1;
    }


    /**
     * Get the value of x1
     *
     * @return the value of x1
     */
    public int getX1() {
        return x1;
    }

    /**
     * Set the value of x1
     *
     * @param x1 new value of x1
     */
    public void setX1(int x1) {
        this.x1 = x1;
    }


}
