// -----------------------------------------------------------
// TraceLine.java
// -----------------------------------------------------------
package cz.vutbr.wsagent.util;

/**
 * Class for one agent movement (arrow).
 * @author Marek Houšť
 */
public class TraceLine extends GeometryObject {

    private int x1;
    private int y1;
    private int x2;
    private int y2;

    /**
     * The constructor of trace line object.
     * @param x1 X-coordinate of start point.
     * @param y1 Y-coordinate of start point.
     * @param x2 X-coordinate of end point.
     * @param y2 X-coordinate of end point.
     * @param name 
     */
    public TraceLine(int temp_x1, int temp_y1, int temp_x2, int temp_y2, String name) {

        int x1 = 0; int y1 = 0; int x2 = 0; int y2 = 0;

        // coordinate correction
        if (name.equals(TRACELINELARGERSMALER)) {

            if (Math.abs(temp_x1 - temp_x2) > 30) {
                if (Math.abs(temp_y1 - temp_y2) > 30) {
                    if((temp_x1 < temp_x2) && (temp_y1 < temp_y2)) {
                        x1 = temp_x1 + 15;
                        y1 = temp_y1 + 5;
                        x2 = temp_x2 - 5;
                        y2 = temp_y2 - 15;
                    } else if((temp_x1 < temp_x2) && (temp_y1 >= temp_y2)) {
                        x1 = temp_x1 + 5;
                        y1 = temp_y1 - 15;
                        x2 = temp_x2 - 15;
                        y2 = temp_y2 + 5;
                    } else if((temp_x1 >= temp_x2) && (temp_y1 < temp_y2)) {
                        x1 = temp_x1 - 15;
                        y1 = temp_y1 + 5;
                        x2 = temp_x2 + 5;
                        y2 = temp_y2 - 15;
                    } else if((temp_x1 >= temp_x2) && (temp_y1 >= temp_y2)) {
                        x1 = temp_x1 - 5;
                        y1 = temp_y1 - 15;
                        x2 = temp_x2 + 15;
                        y2 = temp_y2 + 5;
                    }
                } else {
                    if (temp_x1 < temp_x2) {
                        x1 = temp_x1 + 15;
                        y1 = temp_y1 - 8;
                        x2 = temp_x2 - 15;
                        y2 = temp_y2 - 8;
                    } else if (temp_x1 >= temp_x2) {
                        x1 = temp_x1 - 15;
                        y1 = temp_y1 - 8;
                        x2 = temp_x2 + 15;
                        y2 = temp_y2 - 8;
                    }
                }
            } else {
                if (temp_y1 < temp_y2) {
                    x1 = temp_x1 + 8;
                    y1 = temp_y1 + 15;
                    x2 = temp_x2 + 8;
                    y2 = temp_y2 - 15;
                } else if (temp_y1 >= temp_y2) {
                    x1 = temp_x1 + 8;
                    y1 = temp_y1 - 15;
                    x2 = temp_x2 + 8;
                    y2 = temp_y2 + 15;
                }
            }
            
        } else if (name.equals(TRACELINESMALERLARGER)) {

            if (Math.abs(temp_x1 - temp_x2) > 30) {
                if (Math.abs(temp_y1 - temp_y2) > 30) {
                    if((temp_x1 < temp_x2) && (temp_y1 < temp_y2)) {
                        x1 = temp_x1 + 5;
                        y1 = temp_y1 + 15;
                        x2 = temp_x2 - 15;
                        y2 = temp_y2 - 5;
                    } else if((temp_x1 < temp_x2) && (temp_y1 >= temp_y2)) {
                        x1 = temp_x1 + 15;
                        y1 = temp_y1 - 5;
                        x2 = temp_x2 - 5;
                        y2 = temp_y2 + 15;
                    } else if((temp_x1 >= temp_x2) && (temp_y1 < temp_y2)) {
                        x1 = temp_x1 - 5;
                        y1 = temp_y1 + 15;
                        x2 = temp_x2 + 15;
                        y2 = temp_y2 - 5;
                    } else if((temp_x1 >= temp_x2) && (temp_y1 >= temp_y2)) {
                        x1 = temp_x1 - 15;
                        y1 = temp_y1 - 5;
                        x2 = temp_x2 + 5;
                        y2 = temp_y2 + 15;
                    }
                } else {
                    if (temp_x1 < temp_x2) {
                        x1 = temp_x1 + 15;
                        y1 = temp_y1 + 8;
                        x2 = temp_x2 - 15;
                        y2 = temp_y2 + 8;
                    } else if (temp_x1 >= temp_x2) {
                        x1 = temp_x1 - 15;
                        y1 = temp_y1 + 8;
                        x2 = temp_x2 + 15;
                        y2 = temp_y2 + 8;
                    }
                }
            } else {
                if (temp_y1 < temp_y2) {
                    x1 = temp_x1 - 8;
                    y1 = temp_y1 + 15;
                    x2 = temp_x2 - 8;
                    y2 = temp_y2 - 15;
                } else if (temp_y1 >= temp_y2) {
                    x1 = temp_x1 - 8;
                    y1 = temp_y1 - 15;
                    x2 = temp_x2 - 8;
                    y2 = temp_y2 + 15;
                }
            }

        }

        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
        this.name = TRACELINE;
    }
    
    /**
     * Get the value of y2
     *
     * @return the value of y2
     */
    public int getY2() {
        return y2;
    }

    /**
     * Set the value of y2
     *
     * @param y2 new value of y2
     */
    public void setY2(int y2) {
        this.y2 = y2;
    }


    /**
     * Get the value of x2
     *
     * @return the value of x2
     */
    public int getX2() {
        return x2;
    }

    /**
     * Set the value of x2
     *
     * @param x2 new value of x2
     */
    public void setX2(int x2) {
        this.x2 = x2;
    }


    /**
     * Get the value of y1
     *
     * @return the value of y1
     */
    public int getY1() {
        return y1;
    }

    /**
     * Set the value of y1
     *
     * @param y1 new value of y1
     */
    public void setY1(int y1) {
        this.y1 = y1;
    }


    /**
     * Get the value of x1
     *
     * @return the value of x1
     */
    public int getX1() {
        return x1;
    }

    /**
     * Set the value of x1
     *
     * @param x1 new value of x1
     */
    public void setX1(int x1) {
        this.x1 = x1;
    }

}
