// -----------------------------------------------------------
// TracePoint.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;

/**
 * Class for one visited point (node).
 * @author Marek Houšť.
 */
public class TracePoint extends GeometryObject {

    private int x;
    private int y;
    private String id = null;

  /**
   * The constructor for creating new instance of point object with given parameters.
   * @param  x The X-coordinate.
   * @param  y The Y-coordinate.
   * @param id Id of point, address.
   */
    public TracePoint(int x, int y, String id) {

        this.x = x;
        this.y = y;
        this.id = id;
        this.name = "trace point";

    }

    /**
     * Get the value of x
     *
     * @return the value of x
     */
    public int getX() {
        return x;
    }

    /**
     * Set the value of x
     *
     * @param x new value of x
     */
    public void setX(int x) {
        this.x = x;
    }

    /**
     * Get the value of y
     *
     * @return the value of y
     */
    public int getY() {
        return y;
    }

    /**
     * Set the value of y
     *
     * @param y new value of y
     */
    public void setY(int y) {
        this.y = y;
    }

    /**
     * Get the value of id
     *
     * @return the value of id
     */
    public String getId() {
        return id;
    }

    /**
     * Set the value of id
     *
     * @param id new value of id
     */
    public void setId(String id) {
        this.id = id;
    }

}
