<%-- 
    Document   : WSDrawTraces
    Created on : Feb 17, 2011, 1:18:00 PM
    Author     : Marek Houšť
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!-- Custom tracing agents styles -->
        <link href="<s:url value="/styles/drawtracescustom.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Traces</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Traces of the selected agent</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <%-- Way to change displayed agent --%>
                <strong>Go back to change agent:</strong>
                <br />
                <s:url id="backToChange" action="WS_BackToChange">
                </s:url>
                <s:a href="%{backToChange}" onclick="return confirmation()">
                    <img src="<s:url value="/ground/images/icons/back.jpg" />" alt="Back to change"/>
                </s:a>
                <br />
                <br />
                <%-- Table with a movements of the agent listed textually --%>
                <strong>Actual agent:</strong>
                <br />
                <table class="table_style1">
                    <tr>
                        <td>
                            <b>Agent class:</b>
                        </td>
                        <td>
                            <s:property value="tracingAgent.agentClass" />
                        </td>
                        <td>
                            <b>Agent id:</b>
                        </td>
                        <td>
                            <s:property value="tracingAgent.agentId" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <i>Address of visited motes:</i>
                        </td>
                        <td>
                            <s:iterator value="tracingAgent.motesAddressWhereWas">
                                <s:property/>,
                            </s:iterator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <i>Last sending to the WSN:</i>
                        </td>
                        <td>
                            <s:if test="tracingAgent.dateSend != null">
                                <s:date name="tracingAgent.dateSend" format="dd/MM/yyyy hh:mm a" />
                            </s:if>
                            <s:else>
                                Record is not in the database.
                            </s:else>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <i>Number of movements:</i>
                        </td>
                        <td>
                            <s:property value="numberMovement" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <i>Movements:</i>
                        </td>
                        <td>
                            <s:iterator value="tracingAgent.traceList">
                                <table>
                                    <tr>
                                        <td>
                                            From:
                                        </td>
                                        <td>
                                            <s:property value="from" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            To:
                                        </td>
                                        <td>
                                            <s:property value="to" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Counter:
                                        </td>
                                        <td>
                                            <s:property value="counter" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                            </s:iterator>
                        </td>
                    </tr>
                </table>
                <br />
                <%-- Image with the movements of the agent --%>
                <s:div cssClass="trace_imagecenter">
                    <img src="<s:url value="%{imageSource}" />" alt="Image of Traces" />
                </s:div>
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
