
<%--
    Document   : WSMotes
    Created on : Feb 16, 2010, 4:15:28 PM
    Author     : Martin Gábor
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!-- BASIC JAVASCRIPT FUNCTIONS -->
        <script src="<s:url value="/ground/javascript/basic.js" />" type="text/javascript">
        </script>
        <!-- -->

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Motes</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Motes</h2>

                <!-- Inform user if error occurs -->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <s:if test="motes.size > 0">
                    <table class="table_style1center">
                        <tr><th class="narrow_column">Address</th><th>Name</th><th>Description</th>
                            <th>Messages</th><th>Edit</th><th>Delete</th></tr>
                            <s:iterator value="motes">
                            <tr id="row_<s:property value="address"/>"
                                <td class="narrow_column">
                                    <s:property value="address" />
                                </td>
                                <td>
                                    <s:property value="name" />
                                </td>
                                <td>
                                    <s:property value="description" />
                                </td>
                                <td class="narrow_column">
                                    <s:url id="showMessage" action="WS_Messages">
                                        <s:param name="moteAddress"><s:property value="address"/></s:param>
                                    </s:url>
                                    <s:a href="%{showMessage}">
                                        <img src="<s:url value="/ground/images/icons/message.jpg" />" alt="Open Messages"/>
                                    </s:a>
                                </td>
                                <td class="narrow_column">
                                    <s:url id="editMote" action="WS_AddEditMote">
                                        <s:param name="moteAddress"><s:property value="address"/></s:param>
                                    </s:url>
                                    <s:a href="%{editMote}">
                                        <img src="<s:url value="/ground/images/icons/edit.jpg" />" alt="Edit Mote"/>
                                    </s:a>
                                </td>
                                <td class="narrow_column">
                                    <s:url id="deleteMote" action="WS_DeleteMote">
                                        <s:param name="moteAddress"><s:property value="address"/></s:param>
                                    </s:url>
                                    <s:a href="%{deleteMote}" onclick="return confirmation()">
                                        <img src="<s:url value="/ground/images/icons/delete.jpg" />" alt="Delete Mote"/>
                                    </s:a>
                                </td>
                            </tr>
                        </s:iterator>
                    </table>
                </s:if>
                <s:else>
                    No Records.
                </s:else>
                    
                <%-- Adding new mote--%>
                <a href="<s:url action="WS_AddEditMote" />">
                    <img src="<s:url value="/ground/images/icons/new.jpg" />" alt="Add new Mote"/>
                    Add new Mote
                </a>

            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
